#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	my $type = $section->get_type();
	next if $type ne 'package';
	my @body;
	foreach my $line (@{$section->get_bodyref()}) {
	    $line=~s/\%{get_dep\s+([\w\d_-]+)\s*}/$1/g if $line=~/^Requires/;
	    $line=~s/\s*\>=\s+\%{get_version\s+[\w\d_-]+\s*}//g if $line=~/^Requires/;
	    push @body, $line;
	}
	$section->get_bodyref(\@body);
    }
};
1;
